/**
 * Options for the LineNumberPlugin. Currently nothing.
 * @typedef {object} Options
 * @property {boolean} [disableLineNumbers] - Toggle line numbers off.
 * @property {number} [lineNumberStart=1] - Where to start counting from. Default is 1.
 * @property {(ary: Array<string | Token>, index: number, tokens: Array<Token>) => void} [callback] - substitute your own callback for each line.
 */
/**
 * @param {Options} [options={}]
 * @return {import('./prism-highlight.js').Hook}
 */
export function LineNumberPlugin(options?: Options | undefined): import("./prism-highlight.js").Hook;
/**
 * Options for the LineNumberPlugin. Currently nothing.
 */
export type Options = {
    /**
     * - Toggle line numbers off.
     */
    disableLineNumbers?: boolean | undefined;
    /**
     * - Where to start counting from. Default is 1.
     */
    lineNumberStart?: number | undefined;
    /**
     * - substitute your own callback for each line.
     */
    callback?: ((ary: Array<string | Token>, index: number, tokens: Array<Token>) => void) | undefined;
};
import { Token } from "prism-esm";
